#ifndef STRATEGY__H
#define STRATEGY__H

#include "Config.hpp"

class Strategy
{
  private :

  enum Type
  {
    Incremental,
    Sequential
  };

  Type type;
  std::map<std::pair<std::string, std::string>, std::string> edges;

  public :

  Strategy(const std::vector<std::string_view> & lines);
  std::pair<std::string, int> getMovement(const Config & c, const std::string & transition);
};

#endif
